[SOLVED]--AppImage 0.19-22366 fails to open

Have some feature requests, feedback, cool stuff to share, or want to know where FreeCAD is going? This is the place.
Forum rules
Be nice to others! Read the FreeCAD code of conduct!
leong
Posts: 40
Joined: Mon Apr 11, 2016 8:46 pm

[SOLVED]--AppImage 0.19-22366 fails to open

Postby leong » Thu Sep 10, 2020 10:59 am

i downloaded FreeCAD_0.19-22366-Linux-Conda_glibc2.12-x86_64.AppImage and ran it on Mageia system and it fails with a segmentation fault as follows:

Code: Select all

Loading Assembly4 WorkBench
Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3caf0) [0x7fdc530c6af0]
#1  /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5XcbQpa.so.5(+0x56b27) [0x7fdc4cc9ab27]
#2  /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5XcbQpa.so.5(+0x56b47) [0x7fdc4cc9ab47]
#3  0x7fdc4cc9a575 in QXcbNativeInterface::addHandler(QXcbNativeInterfaceHandler*) from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5XcbQpa.so.5+0x1f
#4  /usr/lib64/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so(+0xd179) [0x7fdc47f7f179]
#5  /usr/lib64/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so(+0x957a) [0x7fdc47f7b57a]
#6  0x7fdc4cc869d6 in QXcbConnection::glIntegration() const from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5XcbQpa.so.5+0x33c
#7  0x7fdc4cc877e6 in QXcbIntegration::createPlatformOpenGLContext(QOpenGLContext*) const from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5XcbQpa.so.5+0x22
#8  0x7fdc539b53e9 in QOpenGLContext::create() from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5Gui.so.5+0x2f
#9  0x7fdc5398fde9 in QGuiApplicationPrivate::init() from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5Gui.so.5+0x4b9
#10  0x7fdc53e18c13 in QApplicationPrivate::init() from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libQt5Widgets.so.5+0x9
#11  0x7fdc5592d1c2 in Gui::GUIApplicationNativeEventAware::GUIApplicationNativeEventAware(int&, char**) from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libFreeCADGui.so+0x12
#12  0x7fdc5592ba72 in Gui::GUIApplication::GUIApplication(int&, char**) from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libFreeCADGui.so+0x22
#13  0x7fdc5592c94a in Gui::GUISingleApplication::GUISingleApplication(int&, char**) from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libFreeCADGui.so+0x2a
#14  0x7fdc558a17b4 in Gui::Application::runApplication() from /tmp/.mount_FreeCAwBx8F0/usr/bin/../lib/libFreeCADGui.so+0xb4
#15  /tmp/.mount_FreeCAwBx8F0/usr/bin/freecad(+0x37cd) [0x5594ce4147cd]
#16  /lib64/libc.so.6(__libc_start_main+0xeb) [0x7fdc530b0b0b]
#17  /tmp/.mount_FreeCAwBx8F0/usr/bin/freecad(+0x4521) [0x5594ce415521]
Prior versions run without a problem on the same machine.
I tried the suggestion of

Code: Select all

MESA_LOADER_DRIVER_OVERRIDE=i965
as suggested at https://forum.freecadweb.org/viewtopic.php?f=3&t=30573 but that did not help. Have reverted back to 2284 for now.

Thank you
Last edited by leong on Mon Sep 21, 2020 1:26 pm, edited 1 time in total.
User avatar
Kunda1
Posts: 8801
Joined: Thu Jan 05, 2017 9:03 pm

Re: AppImage 0.19-22366 fails to open

Postby Kunda1 » Thu Sep 10, 2020 11:55 am

Can't recreate issue on
OS: Manjaro Linux (KDE//usr/share/xsessions/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22366 (Git) AppImage
Build type: Release
Branch: master
Hash: 34c11fcc63efa2fc72cbc74c75c76e9f19d5c84c
Python version: 3.8.5
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
leong
Posts: 40
Joined: Mon Apr 11, 2016 8:46 pm

Re: AppImage 0.19-22366 fails to open

Postby leong » Thu Sep 10, 2020 12:29 pm

In case this helps, this is the info on my system from build 22284:

OS: Mageia 7 (KDE//usr/share/xsessions/01plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22284 (Git) AppImage
Build type: Release
Branch: master
Hash: bf1e8e48389f5e9e25bd77b67fe98da4213e797c
Python version: 3.8.5
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)
User avatar
Kunda1
Posts: 8801
Joined: Thu Jan 05, 2017 9:03 pm

Re: AppImage 0.19-22366 fails to open

Postby Kunda1 » Thu Sep 10, 2020 12:45 pm

leong wrote:
Thu Sep 10, 2020 12:29 pm
Version: 0.19.22284 (Git) AppImage
Of course helps, in fact it's a necessity that we ask (nag religiously, actually) users to append to their posts.
Please update your AppImage and report back if you can reproduce. Thanks!
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
User avatar
looo
Posts: 3482
Joined: Mon Nov 11, 2013 5:29 pm

Re: AppImage 0.19-22366 fails to open

Postby looo » Thu Sep 10, 2020 1:10 pm

maybe related to qt update:

Code: Select all

OS: Ubuntu 18.04.5 LTS (ubuntu:GNOME/ubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22366 (Git)
Build type: Release
Branch: master
Hash: 34c11fcc63efa2fc72cbc74c75c76e9f19d5c84c
Python version: 3.8.5
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.4.0
Locale: German/Germany (de_DE)
leong
Posts: 40
Joined: Mon Apr 11, 2016 8:46 pm

Re: AppImage 0.19-22366 fails to open

Postby leong » Thu Sep 10, 2020 6:58 pm

Kunda1 wrote:
Thu Sep 10, 2020 12:45 pm
Please update your AppImage and report back if you can reproduce. Thanks!
I have and its the update that fails to start. I could only get the needed info from the earlier version which does start.
looo wrote:
Thu Sep 10, 2020 1:10 pm
maybe related to qt update:
If that's the case, then I need to wait for distro update and if it doesn't happen, then future upgrades to newer 0.19 builds will not work, I guess.
User avatar
Kunda1
Posts: 8801
Joined: Thu Jan 05, 2017 9:03 pm

Re: AppImage 0.19-22366 fails to open

Postby Kunda1 » Thu Sep 10, 2020 7:11 pm

Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
leong
Posts: 40
Joined: Mon Apr 11, 2016 8:46 pm

Re: AppImage 0.19-22366 fails to open

Postby leong » Thu Sep 10, 2020 7:23 pm

Kunda1 wrote:
Thu Sep 10, 2020 7:11 pm
Is it related to this: https://github.com/AppImage/AppImageUpdate/issues/150 ?
It might be, but I am not brave enough to start removing libraries on which other apps might depend. I will leave well enough alone for now and see what happens with the next build version whenever it comes out.
Thanks to all
User avatar
looo
Posts: 3482
Joined: Mon Nov 11, 2013 5:29 pm

Re: AppImage 0.19-22366 fails to open

Postby looo » Thu Sep 10, 2020 9:44 pm

leong wrote:
Thu Sep 10, 2020 7:23 pm
Kunda1 wrote:
Thu Sep 10, 2020 7:11 pm
Is it related to this: https://github.com/AppImage/AppImageUpdate/issues/150 ?
It might be, but I am not brave enough to start removing libraries on which other apps might depend. I will leave well enough alone for now and see what happens with the next build version whenever it comes out.
Thanks to all
maybe we can pin qt5.12.5 if this is the less problematic version. otherwise I guess we should wait for @triples to comment on this topic. He managed to fix such qt issues in the past.
leong
Posts: 40
Joined: Mon Apr 11, 2016 8:46 pm

Re: AppImage 0.19-22366 fails to open

Postby leong » Sun Sep 13, 2020 7:30 pm

This problem continues with 0.19-22411.